Subject: Re: PPC440EPx on Sequoia: /proc/iomem acts weird

From: "Steven A. Falco" <[email-masked]>
Date: Fri, 09 Nov 2007 13:46:20 -0500

I am using the Denx 2.6.32 kernel, which does have powerpc/sequoia.  
Xenomai is a real-time kernel built on Adeos/Ipipe.  I'll dig into it 
further.

    Steve

Josh Boyer wrote:
> On Fri, 09 Nov 2007 13:30:03 -0500
> "Steven A. Falco" <[email-masked]> wrote:
>
>   
>> If I cat /proc/iomem on a Sequoia board, it never stops printing.  Here 
>> are the first 10 lines:
>>
>> bash-3.00# head -10 /proc/iomem
>> e0000100-e000017f : usb
>>   e0000100-e000017f : musbhsfc_udc
>> e0000300-e000038f : ehci_hcd
>> 180000000-18fffffff : /plb/pci@1eec00000
>>           1d0000000-1d0001fff : ndfc
>>           1d0000000-1d0001fff : ndfc
>>           1d0000000-1d0001fff : ndfc
>>           1d0000000-1d0001fff : ndfc
>>           1d0000000-1d0001fff : ndfc
>>           1d0000000-1d0001fff : ndfc
>>
>> Basically, the last line (regarding the nand flash) keeps repeating 
>> "forever".
>>
>> Is anyone else seeing this behavior?  My kernel is 2.6.23 with Xenomai 
>> patched in.
>>     
>
> Erm.. 2.6.23?  There is no Sequoia support in arch/ppc or arch/powerpc
> for 2.6.23 in the official trees.  What is Xenomai?  You should
> probably talk to them.
>
> josh
>
>